<?php

declare(strict_types=1);

namespace IQDev\OpenAPI\Model\Components;

class Parameter
{
    public function __construct(
        private string $name,
        private string $in,
        private bool $required,
        private ?string $description = null,
        private bool $deprecated = false,
        private bool $allowEmptyValue = false,
    ) {
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getIn(): string
    {
        return $this->in;
    }

    public function isRequired(): bool
    {
        return $this->required;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function isDeprecated(): bool
    {
        return $this->deprecated;
    }

    public function isAllowEmptyValue(): bool
    {
        return $this->allowEmptyValue;
    }
}
