<?php

namespace IQDev\OpenAPI\Model\Info;

class Info
{
    public function __construct(
        private string $title,
        private Version $version,
        private ?string $summary = null,
        private ?string $description = null,
        private ?string $termsOfService = null,
        private ?Contact $contact = null,
    ) {
    }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getVersion(): Version
    {
        return $this->version;
    }

    public function getSummary(): ?string
    {
        return $this->summary;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function getTermsOfService(): ?string
    {
        return $this->termsOfService;
    }

    public function getContact(): ?Contact
    {
        return $this->contact;
    }
}
