<?php

declare(strict_types=1);

namespace IQDev\OpenAPI\Model\Servers;

class Server
{
    public function __construct(
        private string $url,
        private ?string $description = null,
        /** @var ServerVariable[] */
        private ?array $variables = null
    ) {
    }

    public function getUrl(): string
    {
        return $this->url;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function getVariables(): ?array
    {
        return $this->variables;
    }
}
