<?php

declare(strict_types=1);

namespace IQDev\OpenAPI\Model\Servers;

class ServerVariable
{
    public function __construct(
        private string $default,
        private ?array $enum = null,
        private ?string $description = null,
    ) {
    }

    public function getDefault(): string
    {
        return $this->default;
    }

    public function getEnum(): ?array
    {
        return $this->enum;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }
}
